[changes]
* Method isRunning() added to Listener class. It returns whether the listener is currently running.
* Support for reports with LDAP data added to the database API.
* XML and JSON datasource added.
* Jetty 9.0.3 and Servlet API 3.0 now used.
  * CCservlet-api-2.5.jar replaced.
  * CCservlet-api.jar and jsp-api-2.0.jar removed.
* Record Selection Formula: The formula operation <string-value> IN <string-value> is now executable in databases.
* HTML report viewer: Left and right margin besides the report sheet has been reduced from 10% to 1%.

### i-net Designer
* Formula Editor: Deprecated user defined formulas (@deprecated) are marked as deprecated.
* All shortcuts for insert actions in i-net Designer are now ALT+SHIFT+ instead of CTRL+ALT+ to prevent Alt-Gr collisions.

### Remote Interface / Scheduler
* It is now supported to send emails using an encrypted (TLS or SSL) connection in the scheduler.

### Report Repository
* Allow special UTF-8 characters in report names when using Remote Designer to open the report from repository browser.

### Configuration Manager
* The i-net Clear Reports Configuration has a new property 'Logging of the internal server' in the category 'System - Logging', which enable/disable the logging of the Jetty server.

### .Net Edition
* Export dialog added.
* XmlRPC supported with the .NET version.

[changes:de]
* Die Methode isRunning() wurde der Listener-Klasse hinzugefügt. Sie gibt zurück, ob der Listener gerade läuft.
* Unterstützung für Berichte mit LDAP-Daten zur Datenbank-API hinzugefügt.
* XML und JSON Datenquelle hinzugefügt.
* Jetty 9.0.3 und Servlet API 3.0 werden jetzt verwendet.
  * CCservlet-api-2.5.jar ersetzt.
  * CCservlet-api.jar und jsp-api-2.0.jar entfernt.
* Datensatzauswahl-Formel: Die Formel-Operation <String-Wert> IN <String-Wert> ist jetzt in Datenbanken ausführbar.
* HTML-Berichtsbetrachter: Der linke und rechte Rand neben dem Berichtsblatt wurde von 10% auf 1% reduziert.

### i-net Designer
* Formel-Editor: Veraltete benutzerdefinierte Formeln (@deprecated) sind als veraltet gekennzeichnet.
* Alle Tastenkombinationen für Einfügeaktionen im i-net Designer lauten jetzt ALT+SHIFT+ anstelle von STRG+ALT+, um Kollisionen zwischen Alt und Gr zu vermeiden.

### Remote-Schnittstelle / Scheduler
* Es wird nun unterstützt, E-Mails über eine verschlüsselte (TLS oder SSL) Verbindung im Scheduler zu versenden.

### Berichts-Repository
* Erlaubt spezielle UTF-8-Zeichen in Berichtsnamen, wenn der Remote Designer verwendet wird, um den Bericht vom Repository-Browser aus zu öffnen.

### Konfigurations-Manager
* Die i-net Clear Reports Konfiguration hat eine neue Eigenschaft 'Logging des internen Servers' in der Kategorie 'System - Logging', die das Logging des Jetty Servers aktiviert/deaktiviert.

### .Net Ausgabe
* Export-Dialog hinzugefügt.
* XmlRPC wird mit der .NET Version unterstützt.

[bugfixes]
* IllegalArgumentException occurred: The name of a sum field cannot be empty.
* A sporadic OutOfMemoryError on export with large reports and a slow harddisk or database cache.
* XMLRPC client has not worked in version 13.0 with external log type.
* HTML export: hairline was wrong displayed.
* Box or line element that spans multiple sections and that starts in page header and ends in a suppressed section were not displayed.
* If "Underlay Following Section" was enabled for the report header of a subreport and the report header was higher than the subreport then the subreport was cutoff.
* NoClassDefFoundError: com.inet.report.config.ConfigurationManagerImpl occurred if Engine was used in ANT task.
* Excel export: Not meaningful log message: "number of decimal places for integer format: x instead of 0" removed.
* The property "ResetPageCount" was executed for each page, altough if the section span over multiple pages. In this case "ResetPageCount" need to be executed on the last page of the section, only.
* A crosstab in a subreport could be incomplete if the property "Keep Together" was enabled for this subreport and the subreport did not fit on the page.
* RTF export: Report header section was not displayed on first page, if "total page count" was not used on first page.
* PDF export: Hindi text was displayed incorrectly in PDF files when setting SansSerif as the font. A font must now be chosen that includes the Hindi characters (such as Arial Unicode MS).
* PDF/A export was not correct, if the report contains images with transparency.
* PDF/A export was not correct, if the report contains images with transparency.
* "Invalid render state. Page already finished." exception occurred, if the properties "new page after" and suppress were enabled for last report header section.
* Some comparisons (> and <) of numbers with a large precision (> 9 digits) in formulas were wrong if the default compatiblity mode was used. This regression does not occur with compatibility mode 12.x or previous.
* Drop down list in the HTML parameter field request dialog displays only number part of default values.
* HTML prompt request dialog: Default value description was not shown in the list of choosen values.
* ORDER BY on multiple groups for the same date field was incorrect.
* Another NullPointerException occurred during the error handling of an NullPointerException.
* In the some cases the line/column index in formula error messages started at 0 instead of 1 as in the formula editor.
* A custom servlet filter that created a wrapped HttpServletRequestWrapper was not used everywere.
* NullPointerException occurred if XML or JSON datasource or CSV data upload was used with Java 8.
* The HTML prompt request dialog does not open in Internet Explorer 11.
* PDF export: Gray-Scaled JPEG Images were not been displayed.
* PDF export:
  * A blank subreport with enabled "Suppress if Blank" property could hide the following data.
  * An additional empty page was created because the property "Suppress if Blank" was enabled for a blank subreport.
*  A memory leak with the JDBC driver from Oracle and Engine.setSQL has occurred.
* Excel export: Cell distribution property in subreports was not used.
* ReportServletJSP restored for Sample.jsp.
* Exception in thread "MemoryCacheTimeoutThread" java.lang.NullPointerException.
* Parameter "HTTP servlet request" in method PropertiesChecker.checkProperties was null.
* HTML export:
  * NullPointerException in subreport with lines spanning multiple sections occurred.
  * Subreport position in section with enabled "Underlay Following Section" was incorrect.
* Unhandled Exception "java.lang.InternalError" with message "couldn't create component peer" occurred with Java 8u152.

### Java Viewer
* Attribut "Permissions" was missing in the manifest file of ReportViewer.jar. This is required since Java 7 update 45.
*  If the Java report viewer was running at least with Java 7u65, then the printer properties dialog was not displayed after a click on the properties button in the print dialog.

### i-net Designer
* Java Bean property formulas were evaluated in the design view.
* If you open a report in the i-net Designer that has 'Snap to Grid' enabled as default setting, then the fields in the report have been rearranged.
* It was not possible to create a new datasource in the i-net Designer data sources manager on Mac OSX.
* It was not possible to set the value of the "Can Grow" property to 0 after it was set to another value.
* Group Dialog: In the "Order by Summary" dialog it could occur that the drop down list "Summary Field" was empty after another summary was selected in this list.
*  Popup to choose background and text color was not displayed if i-net Designer was used with Java 8.
* A disabled "Running Total" was not saved if "Evaluate - For Each Record" was enabled and "Reset - On change of" a field was enabled.
* ConcurrentModificationException occurred when trying to select multiple fields in i-net Designer that was running with Java 8.

### Remote Interface / Scheduler
* The Remote Interface and Scheduler web GUI does not open in Internet Explorer 11.
* Login was not possible if i-net Clear Reports was running as servlet and "Master Password" was used as login type.
* It was not possible to access web components like ad hoc reporting, repository browser, scheduler etc .using a proxy servlet.

### Report Repository
* ODS (Open Document Spreadsheet) export format was missing in repository browser.

### Ad Hoc Reporting
* Because of permission and url encoding issues for ad hoc dataviews in a report repository it was not possible to use ad hoc dataviews from a report repository.
* Ad hoc dataviews saved in repository were not displayed in ad hoc reporting because of permission and URL encoding issues for dataviews in a repository.

### Configuration Manager
* The buttons in the configuration manager category: "Report Permissions" were cut off in Firefox version 28.

### Setup
* NoClassDefFoundError: com.sun.management.OperatingSystemMXBean occurred on AIX with IBM Java VM.

[bugfixes:de]
* IllegalArgumentException aufgetreten: Der Name eines Summenfeldes kann nicht leer sein.
* Ein sporadischer OutOfMemoryError beim Export mit großen Berichten und einer langsamen Festplatte oder Datenbank-Cache.
* XMLRPC-Client hat in Version 13.0 nicht mit externem Log-Typ funktioniert.
* HTML-Export: Haarlinie wurde falsch dargestellt.
* Box- oder Linienelemente, die sich über mehrere Abschnitte erstrecken und die im Seitenkopf beginnen und in einem unterdrückten Abschnitt enden, wurden nicht angezeigt.
* Wenn "Underlay Following Section" für den Berichtskopf eines Unterberichts aktiviert war und der Berichtskopf höher als der Unterbericht war, wurde der Unterbericht abgeschnitten.
* NoClassDefFoundError: com.inet.report.config.ConfigurationManagerImpl trat auf, wenn Engine in ANT task verwendet wurde.
* Excel-Export: Nicht aussagekräftige Log-Meldung: "Anzahl der Dezimalstellen bei Ganzzahlformat: x statt 0" entfernt.
* Die Eigenschaft "ResetPageCount" wurde für jede Seite ausgeführt, auch wenn sich der Abschnitt über mehrere Seiten erstreckte. In diesem Fall muss "ResetPageCount" nur auf der letzten Seite des Abschnitts ausgeführt werden.
* Eine Kreuztabelle in einem Unterbericht konnte unvollständig sein, wenn die Eigenschaft "Zusammenhalten" für diesen Unterbericht aktiviert war und der Unterbericht nicht auf die Seite passte.
* RTF-Export: Der Kopfbereich des Berichts wurde auf der ersten Seite nicht angezeigt, wenn die "Gesamtseitenzahl" auf der ersten Seite nicht verwendet wurde.
* PDF-Export: Hindi-Text wurde in PDF-Dateien falsch angezeigt, wenn SansSerif als Schriftart eingestellt war. Es muss nun eine Schriftart gewählt werden, die die Hindi-Zeichen enthält (z. B. Arial Unicode MS).
* Der PDF/A-Export war nicht korrekt, wenn der Bericht Bilder mit Transparenz enthielt.
* Der PDF/A-Export war nicht korrekt, wenn der Report Bilder mit Transparenz enthielt.
* "Ungültiger Renderstatus. Die Ausnahme "Seite bereits fertig." trat auf, wenn die Eigenschaften "Neue Seite nach" und Unterdrücken für den letzten Berichtskopfabschnitt aktiviert waren.
* Einige Vergleiche (> und <) von Zahlen mit einer großen Genauigkeit (> 9 Stellen) in Formeln waren falsch, wenn der Standard-Kompatibilitätsmodus verwendet wurde. Diese Regression tritt nicht im Kompatibilitätsmodus 12.x oder früher auf.
* Die Dropdown-Liste im HTML-Parameterfeld-Abfragedialog zeigt nur den Zahlenteil der Standardwerte an.
* HTML-Abfrage-Dialog: Die Beschreibung des Standardwertes wurde nicht in der Liste der ausgewählten Werte angezeigt.
* ORDER BY bei mehreren Gruppen für dasselbe Datumsfeld war nicht korrekt.
* Eine weitere NullPointerException trat während der Fehlerbehandlung einer NullPointerException auf.
* In einigen Fällen begann der Zeilen-/Spaltenindex in Formelfehlermeldungen bei 0 statt bei 1 wie im Formeleditor.
* Ein benutzerdefinierter Servlet-Filter, der einen gewickelten HttpServletRequestWrapper erzeugte, wurde nicht überall verwendet.
* NullPointerException trat auf, wenn eine XML- oder JSON-Datenquelle oder ein CSV-Daten-Upload mit Java 8 verwendet wurde.
* Der Dialog zur HTML-Anfrage wird im Internet Explorer 11 nicht geöffnet.
* PDF-Export: Grauskalierte JPEG-Bilder wurden nicht angezeigt.
* PDF-Export:
  * Ein leerer Unterbericht mit aktivierter "Suppress if Blank"-Eigenschaft konnte die folgenden Daten ausblenden.
  * Eine zusätzliche leere Seite wurde erstellt, weil die Eigenschaft "Unterdrücken, wenn leer" für einen leeren Unterbericht aktiviert war.
*  Ein Speicherleck mit dem JDBC-Treiber von Oracle und Engine.setSQL ist aufgetreten.
* Excel-Export: Die Eigenschaft "Cell distribution" in Subreports wurde nicht verwendet.
* ReportServletJSP für Sample.jsp wiederhergestellt.
* Ausnahme im Thread "MemoryCacheTimeoutThread" java.lang.NullPointerException.
* Der Parameter "HTTP servlet request" in der Methode PropertiesChecker.checkProperties war null.
* HTML-Export:
  * NullPointerException in Subreport mit Zeilen, die sich über mehrere Abschnitte erstrecken, aufgetreten.
  * Die Position des Unterberichts im Abschnitt mit aktiviertem "Underlay Following Section" war falsch.
* Unbehandelte Exception "java.lang.InternalError" mit der Meldung "couldn't create component peer" trat bei Java 8u152 auf.

### Java Viewer
* Das Attribut "Permissions" fehlte in der Manifestdatei von ReportViewer.jar. Dies ist seit Java 7 Update 45 erforderlich.
*  Wenn der Java ReportViewer mindestens mit Java 7u65 lief, wurde der Druckereigenschaften-Dialog nach einem Klick auf den Eigenschaften-Button im Druckdialog nicht angezeigt.

### i-net Designer
* Java Bean Eigenschaftsformeln wurden in der Entwurfsansicht ausgewertet.
* Wenn Sie einen Bericht im i-net Designer öffnen, bei dem 'Snap to Grid' als Standardeinstellung aktiviert ist, dann wurden die Felder im Bericht neu angeordnet.
* Es war nicht möglich, eine neue Datenquelle im i-net Designer Datenquellenmanager unter Mac OSX zu erstellen.
* Es war nicht möglich, den Wert der Eigenschaft "Kann wachsen" auf 0 zu setzen, nachdem er auf einen anderen Wert gesetzt wurde.
* Gruppendialog: Im Dialog "Sortieren nach Zusammenfassung" konnte es vorkommen, dass die Dropdown-Liste "Zusammenfassungsfeld" leer war, nachdem eine andere Zusammenfassung in dieser Liste ausgewählt wurde.
*  Popup zur Auswahl der Hintergrund- und Textfarbe wurde nicht angezeigt, wenn der i-net Designer mit Java 8 verwendet wurde.
* Eine deaktivierte "Laufende Summe" wurde nicht gespeichert, wenn "Auswerten - Für jeden Datensatz" aktiviert war und "Zurücksetzen - Bei Änderung eines Feldes" aktiviert war.
* ConcurrentModificationException trat auf, wenn versucht wurde, mehrere Felder im i-net Designer auszuwählen, der mit Java 8 ausgeführt wurde.

### Remote Interface / Scheduler
* Die Web-GUI von Remote Interface und Scheduler lässt sich im Internet Explorer 11 nicht öffnen.
* Die Anmeldung war nicht möglich, wenn i-net Clear Reports als Servlet ausgeführt wurde und "Master Password" als Anmeldetyp verwendet wurde.
* Es war nicht möglich, über ein Proxy-Servlet auf Web-Komponenten wie Ad-hoc-Reporting, Repository-Browser, Scheduler etc. zuzugreifen.

### Report Repository
* Das Exportformat ODS (Open Document Spreadsheet) fehlte im Repository-Browser.

### Ad-hoc-Berichterstattung
* Aufgrund von Berechtigungs- und URL-Codierungsproblemen für Ad-hoc-Datenübersichten in einem Berichts-Repository war es nicht möglich, Ad-hoc-Datenübersichten aus einem Berichts-Repository zu verwenden.
* Im Repository gespeicherte Ad-hoc-Datenansichten wurden im Ad-hoc-Reporting nicht angezeigt, da es Probleme mit der Berechtigung und der URL-Kodierung für Datenansichten in einem Repository gab.

### Konfigurations-Manager
* Die Schaltflächen in der Kategorie des Konfigurationsmanagers: "Report Permissions" wurden in Firefox Version 28 abgeschnitten.

### Einrichtung
* NoClassDefFoundError: com.sun.management.OperatingSystemMXBean trat unter AIX mit IBM Java VM auf.

[security]

[security:de]
